Bug 213806 - www/mitmproxy is broken request upgrading to 0.17
Summary: www/mitmproxy is broken request upgrading to 0.17
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Shaun Amott
URL:
Keywords:
Depends on: 218576 218577
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-26 13:12 UTC by p5B2E9A8F
Modified: 2017-04-28 21:49 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (gaod)


Attachments
Update to latest version. (2.96 KB, patch)
2017-04-12 02:43 UTC, Shaun Amott
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description p5B2E9A8F 2016-10-26 13:12:31 UTC
# mitmproxy
Traceback (most recent call last):
  File "/usr/local/bin/mitmproxy", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2991, in <module>
    @_call_aside
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2977, in _call_aside
    f(*args, **kwargs)
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3004, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 664, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 677, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 856, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'lxml==3.4.4' distribution was not found and is required by mitmproxy

This problem is fixed in mitmproxy version 0.17
for reference see https://trac.macports.org/ticket/51562
Comment 1 Johan Ström 2016-12-15 16:45:26 UTC
+1

In addition, it seems it's missing some deps. I manually edited /usr/local/lib/python2.7/site-packages/mitmproxy-0.15-py2.7.egg-info/requires.txt to try to get it working, and the following deps where not installed at all:

py27-watchdog
py27-pyperclip

py27-netlib is version 0.10, requires.txt says >0.15

Did this ever work?
Comment 2 p5B2E9A8F 2017-04-03 11:59:27 UTC
This port is BROKEN and should be marked as such.
Obviously maintainer is not responding.
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2017-04-03 13:26:51 UTC
Add myself to Cc: list to monitor for progress.  Maintainer has previously been notified.
Comment 4 Hung-Yi Chen 2017-04-05 09:27:04 UTC
Hmm....I'm working on a new PR of mitmproxy 2.0.1.

And, yes, right now there are some missing dependencies.

I'll also send PRs for that.
Comment 5 p5B2E9A8F 2017-04-05 10:06:35 UTC
Thank you for finally giving a feedback here ;)
Comment 6 Shaun Amott freebsd_committer 2017-04-12 02:42:57 UTC
I didn't see you were working on this. I have in fact added the new required dependencies to the tree just now and submitted updates for devel/py-ruamel.yaml and devel/py-construct. Once those two ports are up to date, the attached patch should fix this port.
Comment 7 Shaun Amott freebsd_committer 2017-04-12 02:43:50 UTC
Created attachment 181708 [details]
Update to latest version.
Comment 8 commit-hook freebsd_committer 2017-04-28 21:48:20 UTC
A commit references this bug:

Author: shaun
Date: Fri Apr 28 21:47:58 UTC 2017
New revision: 439695
URL: https://svnweb.freebsd.org/changeset/ports/439695

Log:
  Update to 2.0.1, bringing the port back from complete brokenness.

  PR:		213806
  Submitted by:	shaun
  Reported by:	p5B2E9A8F@t-online.de
  Approved by:	maintainer timeout (2 weeks)

Changes:
  head/www/mitmproxy/Makefile
  head/www/mitmproxy/distinfo